boost::geometry::resolve_variant::expand< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Box > Struct Template Reference

List of all members.

## Public Member Functions

template<typename Geometry >
void | operator() (Geometry const &geometry) const
| visitor (Box &box)

## Public Attributes

Box & | m_box

### template<BOOST_VARIANT_ENUM_PARAMS(typename T)>
template<typename Box>
struct boost::geometry::resolve_variant::expand< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Box >

## Constructor & Destructor Documentation

template<BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename Box >

boost::geometry::resolve_variant::expand< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Box >::visitor | ( | Box & | box | ) |

## Member Function Documentation

template<BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename Box >
template<typename Geometry >

void boost::geometry::resolve_variant::expand< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Box >::operator() | ( | Geometry const & | geometry | ) | const

## Member Data Documentation

template<BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename Box >

Box& boost::geometry::resolve_variant::expand< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Box >::m_box

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK